package example.android.preferencesample;

import android.app.Activity;
import android.content.SharedPreferences;
import android.graphics.Typeface;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.Spinner;
import android.widget.TextView;

public class PreferenceSampleActivity extends Activity {
    
    // vt@Xt@C
    private static final String FILE_NAME = "PreferenceSampleFile";   

    // onCreate\bh(ʏ\Cxgnh)
    @Override
    public void onCreate(Bundle savedInstanceState) {
        // X[p[NXonCreate\bhĂяo
        super.onCreate(savedInstanceState);
        // CAEgݒt@C̎w
        setContentView(R.layout.preferencesample);
        
        // ۑ{^̃NbNXi[ݒ
        Button saveBtn = (Button)findViewById(R.id.save);
        saveBtn.setTag("save");
        saveBtn.setOnClickListener(new ButtonClickListener());
        // \{^̃NbNXi[ݒ
        Button readBtn = (Button)findViewById(R.id.display); 
        readBtn.setTag("display");
        readBtn.setOnClickListener(new ButtonClickListener());   
        // 폜{^̃NbNXi[ݒ
        Button delBtn = (Button)findViewById(R.id.delete);
        delBtn.setTag("delete");
        delBtn.setOnClickListener(new ButtonClickListener());  
    }
    
    // NbNXi[`
    class ButtonClickListener implements OnClickListener {
    	// onClick\bh({^NbNCxgnh)
    	public void onClick(View v){
    		// ^O̎擾
    		String tag = (String)v.getTag();
    		
    		// vt@XIuWFNg擾
    		SharedPreferences preference = getSharedPreferences(FILE_NAME, MODE_PRIVATE);
    		
    		// TextView擾
    		TextView message = (TextView)findViewById(R.id.message);
    		
    		// ۑ{^ꂽꍇ
    		if(tag.equals("save")){
    			// vt@X̕ҏWpIuWFNg擾
                SharedPreferences.Editor editor = preference.edit();
                
                // IꂽtHg擾
                Spinner fontarray = (Spinner)findViewById(R.id.font);
                String font = (String)fontarray.getSelectedItem();
                
                // IꂽX^C擾
                CheckBox italic = (CheckBox)findViewById(R.id.italic);
                CheckBox bold = (CheckBox)findViewById(R.id.bold);
                String check = "ʏ";
                if(italic.isChecked()){
                	check = "Α";
                }
                if(bold.isChecked()){
                	if(italic.isChecked()){
                		check += "|";
                	}else{
                		check = "";
                	}
                }
                
                // vt@Xt@Cɕۑ
                editor.putString("FONT", font);
                editor.putString("STYLE", check);
                editor.commit();
                
                // bZ[W\
                message.setText("ۑ܂I");
    		
            // \{^ꂽꍇ
    		}else if(tag.equals("display")){
    			// ۑf[^擾
    			String font = preference.getString("FONT", "܂");
    			String style = preference.getString("STYLE", "܂");
    			
    			// bZ[W\ptHgAX^Cݒ
    			Typeface fonttype = Typeface.DEFAULT;
    			if(font.equals("")){
    				fonttype = Typeface.SERIF;
    			}else if(font.equals("SVbN")){
    				fonttype = Typeface.SANS_SERIF;
    			}else if(font.equals("tHg")){
    				fonttype = Typeface.MONOSPACE;
    			}
    			int styleflg = Typeface.NORMAL;
    			if(style.equals("Α")){
    				styleflg = Typeface.ITALIC;
    			}else if(style.equals("")){
    				styleflg = Typeface.BOLD;
    			}else if(style.equals("Α|")){
    				styleflg = Typeface.BOLD_ITALIC;
    			}
    			
    			// bZ[W\
    			message.setText("Preference Sample\n" + "tHgF" + font + "\nX^CF" + style);
    			message.setTypeface(Typeface.create(fonttype, styleflg));

    			
    		// 폜{^ꂽꍇ
    		}else if(tag.endsWith("delete")){
    			// vt@X̕ҏWpIuWFNg擾
                SharedPreferences.Editor editor = preference.edit();  
                
                // ׂĂ̕ۑf[^폜
                editor.clear();
                editor.commit();
                
                // bZ[W\
                message.setText("폜܂I");
    		}
    	}
    }
}